# spinlock.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Defines

#define | SPIN_LOCK_INITIALIZER 0

## Typedefs

typedef volatile int | spinLock_t

## Functions

void | spinLockInit (spinLock_t *)
void | spinUnlock (spinLock_t *)
int | spinTryLock (spinLock_t *)
void | spinLock (spinLock_t *)
int | spinLockLocked (spinLock_t *)

## Define Documentation

#define SPIN_LOCK_INITIALIZER 0

## Typedef Documentation

typedef volatile int spinLock_t

## Function Documentation

void spinLock | ( | spinLock_t * |  | ) | `[inline]`

void spinLockInit | ( | spinLock_t * |  | ) | `[inline]`

int spinLockLocked | ( | spinLock_t * |  | ) | `[inline]`

int spinTryLock | ( | spinLock_t * |  | ) | `[inline]`

void spinUnlock | ( | spinLock_t * |  | ) | `[inline]`